Skip to content

Fine Tuning List

GET
/finetuning/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/finetuning/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Successful response with a list of training job details.

Media typeapplication/json
object
code

HTTP status code for the operation.

integer
data

List of training job details.

Array<object>
object
id

Unique identifier of the training job.

integer
name

Name of the training job.

string
model_name

Name of the model used for training.

string
training_inputs

Configuration of the training job.

object
dataset
string
dataset_name
string
source_model_repo_info
string
source_repository_type
string
source_model_path
string
task
string
dataset_type
string
train_batch_size
integer
gradient_accumulation_steps
integer
epochs
integer
max_steps
integer
checkpointing_steps
integer
checkpoints_total_limit
integer
peft_lora_r
integer
peft_lora_alpha
integer
load_in_8bit
boolean
mixed_precision
string
validation_prompt
string
num_validation_images
integer
logging_steps
integer
learning_rate
number format: float
limit_training_records_count
integer
caption_column
string
image_column
string
save_strategy
string
stop_training_when
string
run

Details of the training run.

object
id
integer
name
string
run_id
string
state
string
progress
string
finished_at
string format: date-time
created_at
string format: date-time
source
string
scheduled_job
string
status

Current status of the training job.

string
created_by

User details who created the job.

object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
hugging_face_integration_name
string
sku_item_price

Pricing details for the training job.

object
sku_item_price_id
integer
sku_type
string
unit_price
number format: float
currency
string
sku

SKU information of the compute resource.

object
sku_id
integer
name
string
series
string
cpu
integer
gpu
integer
memory
number format: float
errors

Contains any errors that occurred.

object
message

Result message confirming the operation.

string

Example

{
"code": 200,
"data": [
{
"id": 810,
"name": "tir-finetuning-111511093030",
"model_name": "stabilityai/stable-diffusion-2-1",
"training_inputs": {
"dataset": "lambdalabs/naruto-blip-captions",
"dataset_name": "lambdalabs/naruto-blip-captions",
"source_model_repo_info": "",
"source_repository_type": "base_model",
"source_model_path": "",
"task": "Instruction-Finetuning",
"dataset_type": "huggingface",
"train_batch_size": 1,
"gradient_accumulation_steps": 1,
"epochs": 3,
"max_steps": -1,
"checkpointing_steps": 500,
"checkpoints_total_limit": 10,
"peft_lora_r": 64,
"peft_lora_alpha": 16,
"load_in_8bit": false,
"mixed_precision": "no",
"validation_prompt": "A photo of a man with green eyes",
"num_validation_images": 2,
"logging_steps": 5,
"learning_rate": 0.0000141,
"limit_training_records_count": -1,
"caption_column": "text",
"image_column": "image",
"save_strategy": "steps",
"stop_training_when": "epoch_count"
},
"run": {
"id": 2444,
"name": "tir-finetuning-111511093030",
"run_id": "b9177463-124d-4d98-94d8-2eec42ded928",
"state": "Pending",
"progress": "",
"finished_at": "1970-01-01T00:00:00Z",
"created_at": "2024-11-15T06:10:07.626165Z",
"source": "finetuning",
"scheduled_job": null
},
"status": "Pending",
"created_by": {
"id": 3573,
"name": "Nipun",
"email": "nipun.arora@e2enetworks.com",
"username": "nipun.arora@e2enetworks.com"
},
"created_at": "2024-11-15T06:10:06.278937Z",
"hugging_face_integration_name": "tir",
"sku_item_price": {
"sku_item_price_id": 763,
"sku_type": "hourly",
"unit_price": 470.4,
"currency": "INR"
},
"sku": {
"sku_id": 166,
"name": "GDC.1xH200-30.375GB_SXM",
"series": "GPU",
"cpu": 30,
"gpu": 1,
"memory": 375
}
}
],
"errors": {},
"message": "Success"
}